extends Node2D
class_name Piece
tool

export var size: int = 64
var number: int = 0

func set_number(num: int) -> void:
	number = num

func _ready() -> void:
	$ColorRect.rect_size.x = size
	$ColorRect.rect_size.y = size
	$ColorRect/Label.text = str(number)

	var shader = $ColorRect.material as ShaderMaterial
	shader.set_shader_param("scale", Vector3(0.5, 0.5, 1.0))
	shader.set_shader_param("offset", Vector3(0.8, 0.1, 0.0))
